--- start calling openai api 
run js file error 
> (node:10826) Warning: To load an ES module, set "type": "module" in the package.json or use the .mjs extension.

--> set "type": "module" in the package.json

success code run 
![](doc/snapshot/2308141240-selfcode-succeedrun.png)
